#version 330 core

//--------------------------
// PROGRAMME VERTEX
// C EST LE PREMIER PROGRAMME EXECUTE SUR LA CARTE GRAPHIQUE
//--------------------------

// EN ENTREE LES COORDONNEES DES SOMMETS VENANT DU PROGRAMME CPU
// ILS CONTIENNENT LES POINTS DE CONTROLE DE LA SURFACE DE BEZIER QUARTIQUE
in vec3 MonSommetEnEntree;

// EN SORTIE LA POSITION DU SOMMET
out gl_PerVertex {
        vec4 gl_Position;
    };


// LE PROGRAMME EST TRIVIAL, LES POINTS DE CONTROLE NE SONT PAS TRANSFORMES DANS L ESPACE IMAGE
// IL SONT SIMPLEMENT RECOPIES
// ON PROCEDE AINSI AFIN QUE L EVALUATION DU PATCH QUARTIQUE S EFFECTUE DANS L ESPACE OBJET D ORIGINE
// C EST NECESSAIRE NOTAMMENT POUR AVOIR LES DERIVEES PARAMETRIQUES DANS L ESPACE OBJET
void main(void)
{
	gl_Position = vec4(MonSommetEnEntree, 1.0);
}
